org.apache.storm.windowing

## Enum EvictionPolicy.Action

- java.lang.Object
- - java.lang.Enum<EvictionPolicy.Action>
  - - org.apache.storm.windowing.EvictionPolicy.Action

- All Implemented Interfaces:
    Serializable, Comparable<EvictionPolicy.Action>
  Enclosing interface:
    EvictionPolicy<T,S>

      public static enum EvictionPolicy.Action
      extends Enum<EvictionPolicy.Action>

  The action to be taken when `EvictionPolicy.evict(Event)` is invoked.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPIRE` expire the event and remove it from the queue.
    `KEEP` don't include in the current window but keep the event in the queue for evaluating as a part of future windows.
    `PROCESS` process the event in the current window of events.
    `STOP` stop processing the queue, there cannot be anymore events satisfying the eviction policy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EvictionPolicy.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EvictionPolicy.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPIRE

          public static final EvictionPolicy.Action EXPIRE

      expire the event and remove it from the queue.

    - #### PROCESS

          public static final EvictionPolicy.Action PROCESS

      process the event in the current window of events.

    - #### KEEP

          public static final EvictionPolicy.Action KEEP

      don't include in the current window but keep the event in the queue for evaluating as a part of future windows.

    - #### STOP

          public static final EvictionPolicy.Action STOP

      stop processing the queue, there cannot be anymore events satisfying the eviction policy.

  - ### Method Detail

    - #### values

          public static EvictionPolicy.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvictionPolicy.Action c : EvictionPolicy.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvictionPolicy.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.